% constructor
% -----------
function this = plotdata(opt);

if ~isfield(opt, 'winlen')          opt.winlen = 256; end;
if ~isfield(opt, 'scale')           opt.scale  = 0.001; end;
if ~isfield(opt, 'scalevert')       opt.scalevert = 2; end;
if ~isfield(opt, 'position')        opt.position = [0.13 0.58 0.33 0.32]; end;
if ~isfield(opt, 'nskvar'),         opt.nskvar = 'nsk'; end;
if ~isfield(opt, 'datapercentvar'), opt.datapercentvar = 'datapointerpercent'; end;
if ~isfield(opt, 'eventvar'),       opt.eventvar = 'events'; end;
if ~isfield(opt, 'plotchan'),       opt.plotchan = []; end;
if ~isfield(opt, 'rmchanmean'),     opt.rmchanmean = 'on'; end;

this.winlen         = opt.winlen;
this.scale          = opt.scale;
this.scalevert      = opt.scalevert;
this.instancename   = opt.instancename;
this.nskvar         = opt.nskvar;
this.datapercentvar = opt.datapercentvar;
this.eventvar       = opt.eventvar;
this.plotchan       = opt.plotchan;
this.rmchanmean     = opt.rmchanmean;

% these will be determined from data
this.hdl_plot        = [];
this.hdl_event       = [];
this.srate           = [];
this.firmwarecorrect = [];
this.bitlevels       = [];
this.endpos          = [];

% create menus
% ------------
if isempty(opt.fig)
    opt.fig = figure;
    uimenu(opt.fig, 'label', 'Panel');
    opt.position = [ 0.13 0.11 0.775 0.815 ];
    disp('Plotdata window: creating own window and reverting default position parameters');
end;
p_f = findobj('parent', opt.fig, 'label', 'Panel');
if ~isempty(p_f)
    uimenu(p_f, 'Label', 'Data acquisiton panel', 'callback', [ 'plotoptionsgui(' this.instancename ', gcbf);' ]);
end;

% create axis
% -----------
this.hdl_axisplot   = axes('unit', 'normalized', 'position', opt.position);
set(gca, 'xticklabel', [], 'yticklabel', []); box on; 

this = class(this,'plotdata');
