% SLIDER create a slider on the specified figure.
%
% SLIDER('key1', val1, 'key2', val2)
%    'key' can be any of the following
%
%    'fig'      - current figure handle. This is used to create menus for
%                 opening/closing serial ports.
%    'position' - [x y width height] position of the slider on the figure.

% Copyright (c) 2008-2009 NeuroSky, Inc. All Rights Reserved

function this = slider( opt );

if ~isfield(opt, 'position'), opt.position = [0.13 0.50 0.33 0.03]; end;

% draw slider
% -----------
if ~isempty(opt.fig)
    this.hdlslider = uicontrol('Parent', opt.fig, ...
           'Units', 'normalized', ...
           'Position', opt.position, ...
           'Style','slider', ...
           'sliderstep', [0.1 0.2], ...
           'min', 0, 'max', 1, ...
           'Tag','eegslider', ...
           'callback', [ 'slider_cb(' opt.instancename ', gcbo);' ], 'value', 1);
else
    this.hdlslider = [];
end;

this = class(this, 'slider');
